Qwt User's Guide: QwtPolarItemDict Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
QwtPolarItemDict Class Reference

A dictionary for polar plot items. More...

`#include <qwt_polar_itemdict.h>`

Inheritance diagram for QwtPolarItemDict:

## Public Member Functions
| QwtPolarItemDict ()
| ~QwtPolarItemDict ()
void | setAutoDelete (bool)
bool | autoDelete () const
const QwtPolarItemList & | itemList () const
| A QwtPolarItemList of all attached plot items.
void | detachItems (int rtti=QwtPolarItem::Rtti_PolarItem, bool autoDelete=true)

## Protected Member Functions
void | insertItem (QwtPolarItem *)
void | removeItem (QwtPolarItem *)

## Detailed Description

A dictionary for polar plot items.

QwtPolarItemDict organizes polar plot items in increasing z-order. If autoDelete() is enabled, all attached items will be deleted in the destructor of the dictionary.

See also
  QwtPolarItem::attach(), QwtPolarItem::detach(), QwtPolarItem::z()

Definition at line 28 of file qwt_polar_itemdict.h.

## Constructor & Destructor Documentation

## ◆ QwtPolarItemDict()

QwtPolarItemDict::QwtPolarItemDict | ( |  | ) |
| explicit

Constructor

Auto deletion is enabled.

See also
  setAutoDelete, attachItem

Definition at line 71 of file qwt_polar_itemdict.cpp.

## ◆ ~QwtPolarItemDict()

QwtPolarItemDict::~QwtPolarItemDict | ( |  | ) |

Destructor

If autoDelete is on, all attached items will be deleted

See also
  setAutoDelete, autoDelete, attachItem

Definition at line 83 of file qwt_polar_itemdict.cpp.

## Member Function Documentation

## ◆ autoDelete()

bool QwtPolarItemDict::autoDelete | ( |  | ) | const

Returns
  true if auto deletion is enabled

See also
  setAutoDelete, attachItem

Definition at line 106 of file qwt_polar_itemdict.cpp.

## ◆ detachItems()

void QwtPolarItemDict::detachItems | ( | int | rtti = QwtPolarItem::Rtti_PolarItem,
|  | bool | autoDelete = true )

Detach items from the dictionary

Parameters

  rtti | In case of QwtPolarItem::Rtti_PlotItem detach all items otherwise only those items of the type rtti.
  autoDelete | If true, delete all detached items

Definition at line 140 of file qwt_polar_itemdict.cpp.

## ◆ insertItem()

void QwtPolarItemDict::insertItem | ( | QwtPolarItem * | item | ) |
| protected

Insert a plot item

Parameters

  item | PlotItem

See also
  removeItem()

Definition at line 117 of file qwt_polar_itemdict.cpp.

## ◆ itemList()

const QwtPolarItemList & QwtPolarItemDict::itemList | ( |  | ) | const

A QwtPolarItemList of all attached plot items.

Returns
  List of all attached plot items.

Note
  Use caution when iterating these lists, as removing/detaching an item will invalidate the iterator. Instead you can place pointers to objects to be removed in a removal list, and traverse that list later.

Definition at line 168 of file qwt_polar_itemdict.cpp.

## ◆ removeItem()

void QwtPolarItemDict::removeItem | ( | QwtPolarItem * | item | ) |
| protected

Remove a plot item

Parameters

  item | PlotItem

See also
  insertItem()

Definition at line 128 of file qwt_polar_itemdict.cpp.

## ◆ setAutoDelete()

void QwtPolarItemDict::setAutoDelete | ( | bool | autoDelete | ) |

En/Disable Auto deletion

If Auto deletion is on all attached plot items will be deleted in the destructor of QwtPolarItemDict. The default value is on.

See also
  autoDelete, attachItem

Definition at line 97 of file qwt_polar_itemdict.cpp.